# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXPartition

Function

Divides a Field into partitions.

Syntax
`
#include <dx/dx.h>
`

Group DXPartition(Field f, int n, int size)

Functional Details

Divides `f` into a maximum of `n` spatially local pieces with at least `size` points in each piece.

The Group created can be deleted with DXDelete. See 4.2 , "Memory Management".

Return Value

Returns `f` (if it is already partitioned) or returns a new Composite Field; otherwise, it returns `NULL` and sets an error code.

See Also

`DXGrow, DXGrowV, DXShrink`

14.1 , "Data Partitioning".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]